/*Windows XP Royale theme ported to CSS by Ethan and APH, Tab & button CSS from XP.CSS, Original Luna theme by Microsoft*/ 
@import url('lunablue.css');
/* reuse lunablue code due to theme similarity + this is a variation of it */

:root {     
  --Background: rgb(0, 0, 64);   
  --AppWorkspace: rgb(128, 128, 128);
  --ButtonFace: #EBE9ED;
  --ButtonHilight: rgb(245, 245, 245);
  --ButtonLight: rgb(220 223 228);
  --ButtonShadow: rgb(167 166 170);
  --ButtonDkShadow: rgb(133 135 140);
  --ActiveTitle: rgb(51 94 168);
  --GradientActiveTitle: rgb(112 177 235);
  --InactiveTitle: rgb(111 161 217);
  --GradientInactiveTitle: rgb(131 183 227);
  --Link: rgb(0, 0, 255);
  --HilightText: rgb(255, 255, 255);
  --ButtonText: rgb(0, 0, 0);
  --GrayText: rgb(167 166 170);
  --TitleText: rgb(255, 255, 255);
  --InactiveTitleText: rgb(255 255 255);
  --Window: rgb(255, 255, 255);
  --WindowFrame: rgb(0, 0, 0);
  --WindowText: rgb(0, 0, 0);
  --Hilight:  rgb(51 94 168);
  --InfoWindow: rgb(255, 255, 225);
  --InfoText: rgb(0, 0, 0);
  --Menu: rgb(255, 255, 255);
  --MenuBar: rgb(235, 233, 237);
}

:root {
--3d-objects: #EBE9ED;
--3d-objectstxt: #000;
--activebar: none;
--activebartxt: #fff;
--inactivebar: none;
--inactivebartxt: #FFF;
--bodybgcolor: rgb(0, 0, 0);
--desktopbgcolor: #000040;
--desktopbgimg: url("wallpapers/winxp/Energy Bliss.jpg");
--taskbarboxshadow: none;
--taskbarbackground: url("assets/taskbar/royale/xptaskbarmiddle.png");
--desktopbgsize: 100% 100%;
--desktopbgposition: center;
--windowbg: rgb(255, 255, 255);
--windowtxt: rgb(255, 255, 255);
--selectedcolor: #335ea8;
--field: inset -1px -1px #fff, inset 1px 1px rgb(167 166 170), inset -2px -2px rgb(220 223 228), inset 2px 2px rgb(133 135 140);
--globalfont: Tahoma, Verdana, Jomolhari, Times New Roman, sans-serif;
--buttonfont: Microsoft Sans Serif, Tahoma, Jomolhari, Times New Roman, sans-serif;
--menu-button: url('assets/taskbar/royale/buttons/xpstartbtn.png');
--menu-button-hover: url('assets/taskbar/royale/buttons/xpstartbtnhover.png');
--menu-button-pressed: url('assets/taskbar/royale/buttons/xpstartbtnpressed.png');
}

/*Theme identifier, control panel*/
#themeDropdownText:after {
content: "Windows XP - Royale";
}

#winAndButtonsDropdownText:after {
content: "Media Center style";
}

#colorSchemeDropdownText:after {
	content: "Energy Blue";
}

.dropdownlink.scheme {
	display: none !important;
}

#LunaBlueSchemes {
	display: none !important;
}

#RoyaleSchemes {
	display: block !important;
}

/* fix all the stuff that XP.css broke */


input[type="text"], textarea, .ListBox, #searchResults, input[type="password"] {
	border: 1px solid #7F9DB9;
}


#windowcontent {
border-image-source: url('assets/frames/royale/xpinactiveborderimage.png');  
background-color: #E0DFE3;
}

.window.current > #windowcontent, .window.forceActive > #windowcontent {
border-image-source: url('assets/frames/royale/xpborderimage.png'); 
}

.window_bar {
background-image: url('assets/frames/royale/xpinactivetitlebarleft.png'), url('assets/frames/royale/xpinactivetitlebarright.png'), url('assets/frames/royale/xpinactivetitlebarmiddle.png');
color: white;
}

.window.current > .window_bar, .window.forceActive > .window_bar {
text-shadow: 1px 1px #0a1883;
background-image: url('assets/frames/royale/xptitlebarleft.png'), url('assets/frames/royale/xptitlebarright.png'), url('assets/frames/royale/xptitlebarmiddle.png');
color: white;
}

/* since we have imported from lunablue.css, remove everything that is common throughout all luna variants */

.window.maximized .window_bar {
background-image: url('assets/frames/royale/maxtitlebarleft.png'), url('assets/frames/royale/maxtitlebarright.png'), url('assets/frames/royale/maxtitlebarmiddle.png');
}

.tabbutton {
background: linear-gradient(180deg,#fff 10%,#e0edff,#b1c4dc);
border: 1px solid rgb(135 155 179);
}

.tabbutton:not(.selected):hover {
box-shadow: unset;
border-top: 1px solid #e68b2c;
box-shadow: inset 0 2px #ffc73c;
}

.tabbutton.selected {
background: #fafbfe;
border-color: rgb(135 155 179);
border-bottom: 1px solid transparent;
border-top: 1px solid #e68b2c;
box-shadow: inset 0 2px #ffc73c;
}

.tabcontent {
box-shadow: inset 1px 1px #FBFCFF,inset -1px -1px #FBFCFF,1px 2px 2px 0 rgba(198,197,201,.75);
background: #fafbfe;
border: 1px solid rgb(135 155 179);
}

.button, div[id^="mBox-button"] {
border: 1px solid #2B4F82;
background: linear-gradient(180deg,#fff 38%,#dae5f2 58%,#A6B8CF);
}

.button:hover:not(:disabled), div[id^="mBox-button"]:hover:not(:disabled)
    box-shadow: inset -1px 1px #F5E8A1,inset 1px 2px #EFCF86,inset -2px 2px #EFCE84,inset 2px -2px #DA7926;
}

.button.active:not(:disabled), .button:active:not(:disabled), div[id^="mBox-button"]:active:not(:disabled) {
background: linear-gradient(180deg,#A6B8CF ,#D0DCEB 38%,#fff 89%);
}

.button.disabled, div[id^="mBox-button"]:disabled {
 color: rgb(167 166 170);
 background: #fff;
 border: 1px solid #c6c5c9;
}

input::file-selector-button, input[type=color] {
border: 1px solid #2B4F82;
background: linear-gradient(180deg,#fff 38%,#dae5f2 58%,#A6B8CF);
}

input::file-selector-button:hover, input[type=color]:hover {
    box-shadow: inset -1px 1px #F5E8A1,inset 1px 2px #EFCF86,inset -2px 2px #EFCE84,inset 2px -2px #DA7926;
}

input::file-selector-button:active, input[type=color]:active {
background: linear-gradient(180deg,#A6B8CF ,#D0DCEB 38%,#fff 89%);
}


.button:focus, div[id^="mBox-button"]:focus {
    box-shadow: inset -1px 1px #8BC0EA,inset 1px 2px #70a0d8,inset -2px 2px #83a0ce,inset 1px -1px #3f6db1,inset 2px -2px #7a97c8;
}

#AboutClose {
	border: 1px solid #2B4F82;
}


.DropdownBox {
border: 1px solid #A7A6A9;
background: #FFF !important;
}


.DropdownText {
    color: #000;
}

.DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAATBAMAAACEi/vCAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAqUExURf///1Jmfqa60sba8vn7/2t7hOfx/9Pn/8nd9cPX78HV7c3h+cre9uLv/yYgwfgAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABdSURBVBjTY2AUhAAFBmEGMGAWYBCAsBhIYLm4ugCRA5CVFhoGRAkgVmpoamgaiFVeHhoaXl4AZHV0tIZ2dDQAWTNnzoycOXMCkLUKDBYQYkmfAYPTAgwXIU4WVAAARiUtZwhlA4kAAAAASUVORK5CYII=");
    background-size: 17px;
    height: 19px;
    width: 17px;
    top: -1px;
}

.DDcontainer:hover .DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAATCAMAAABBexbDAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAABCUExURf///4CUrKW50aS40KO3z32Rqaa60oWZscba8vv8/+71/+Lv/9Pn/1tkc8re9sLW7r3R6bzQ6M3h+XyQqI6iunuPpwyLtUUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABkSURBVChTnc87EoAgDEXR+ANUgoq6/60aHnFIY+OdgcCpgKjrh9Y4OfKBbMGT1+NbkdkGWWwfstogMUaWVXdISsycdFfBpTJkk+TKXA6QvSSACTkQ12FE+y9ZXtHK8qvzst3uAcBJDRyOKRVRAAAAAElFTkSuQmCC");
}

.DDcontainer:active .DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAATCAMAAABBexbDAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAA/UExURbzQ6DZKYq3B2cjc9PL3/////7PH38PX79Lm/s7i+s/j++ny/+Hu/+Lv/+Xw//z9/2t7hP7+/6C0zKzA2Ka60vxwmqcAAAAJcEhZcwAADsIAAA7CARUoSoAAAABqSURBVChTjdDBDoAgCIBhqCjLVLTe/1lTUUeHtv4Dk2+cBMB3E+C86GYEpFVHRTZdFbOXjpwx5kPsWXLOe2ttFQqBQ4gxciQSIWYeU6QuAl3KKjCkXyihBkp6PyW1p5SyYNIhwtX+roX3A1VMCFAr9r43AAAAAElFTkSuQmCC");
}

.taskband {
    bottom: -1px;
    height: 24px;
    color: #fff;
    background: url('assets/taskbar/royale/taskbands/xptaskband.png');
}

.taskband:hover {
	background: url('assets/taskbar/royale/taskbands/xptaskbandhover.png');
}

.taskband:active {
	background: url('assets/taskbar/royale/taskbands/xptaskbandactive.png');
}

.taskband.current {
	background: url('assets/taskbar/royale/taskbands/xptaskbandactive.png');
}

.taskband.current:hover {
	background: url('assets/taskbar/royale/taskbands/xptaskbandactivehover.png');
}

.taskband.current:active {
	background: url('assets/taskbar/royale/taskbands/xptaskbandactive.png');
}

#close {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

#close::after {
    background: url(assets/frames/royale/xpcaptionbuttons.png);
        background-position: -69px 0px;
}

#close:hover {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

#close:active {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

/* css for max button */
#maximize {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

#maximize::after {
    background-image: url(assets/frames/royale/xpcaptionbuttons.png);
}

#maximize:hover {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

#maximize:active {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

/* css for min button */

#minimize {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

#minimize::after {
    background-image: url(assets/frames/royale/xpcaptionbuttons.png);
}

#minimize:hover {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

#minimize:active {
background-image: url('assets/frames/royale/xpcaptionbuttons.png');
}

/* end of min */

#Menu, .submenu {
background: white !important;
border: 1px solid #A7A6A9;
}

.contextmenu { 
background: white !important;
border: 1px solid #A7A6A9;
}

/* Systray */
#SysTrayTime {
background: url(assets/taskbar/royale/taskbartray.png);
color: #000;
}

/* inter browser */

.rebar {
   box-shadow: inset 0px 1px rgb(214, 213, 217), inset 0px 2px rgb(255, 255, 255);
}

#r1stbar {
box-shadow: none;
    height: 22px;
}

.ToolbarSeparator {
box-shadow: inset 1px 0px rgb(214, 213, 217);
}

#interaddress {
color: black;
}

#intergobtn {
color: black;
}

.throbber {
box-shadow: inset 1px 0px rgb(214, 213, 217), inset 2px 0px rgb(255, 255, 255);
margin: 0;
top: 0px;
}
#browserbar {
margin: 0;
   box-shadow: none;
background: linear-gradient(90deg, rgb(248, 248, 249), rgb(228, 226, 231));
}


.nonNativeStartPageTxt {
color: rgb(223,229,247);
}


.nonNativeStartPageBlurb {
color: white;
}


.NonNativeStartScreens {
    background-color: rgb(64,105,179);
}

.nonNativeStartPageLink {
color: white !important;
}

.QLToolbarBtns {
	box-shadow: none;
background-image: url(assets/taskbar/royale/taskbartoolbarbtn.png);
background-position: 0 0;
}

.QLToolbarBtns:hover {
box-shadow: none;
background-image: url(assets/taskbar/royale/taskbartoolbarbtn.png);
background-position: 0 -25px;
}

.QLToolbarBtns:active {
box-shadow: none;
background-image: url(assets/taskbar/royale/taskbartoolbarbtn.png);
background-position: 0 -50px;
}

.groupbox {
	border-color: #D6D5D9;
}

.groupboxLabel {
	color: #335EA8;
}

/*Rimet XP theme*/